{
  "name": "sudpiccel-agenda-helper",
  "version": "1.2.2",
  "description": "Helper library for dealing with the Sud PICCEL association agenda using the Google Spreadsheets API.",
  "author": "Hubert GROSSIN",
  "main": "index.ts",
  "keywords": [
    "sudpiccel",
    "agenda",
    "google",
    "spreadsheets"
  ],
  "scripts": {
    "build": "node ./build.js && tsc",
    "dev-start": "npm run build && npm run start",
    "start": "node ./index.js",
    "test": "echo \"Error: no test specified\" && exit 1",
    "tsc": "tsc",
    "lint": "eslint ./**/*.ts",
    "prepare": "npm run lint && npm run build"
  },
  "publishConfig": {
    "access": "public"
  },
  "license": "ISC",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/sud-piccel/libraries/sudpiccel-agenda-helper.git"
  },
  "bugs": {
    "url": "https://gitlab.com/sud-piccel/libraries/sudpiccel-agenda-helper/issues"
  },
  "homepage": "https://gitlab.com/sud-piccel/libraries/sudpiccel-agenda-helper#readme",
  "directories": {
    "doc": "doc",
    "lib": "lib"
  },
  "files": [
    "doc/**/*",
    "lib/**/*",
    "index.js",
    "index.d.ts"
  ],
  "dependencies": {
    "@muffin-dev/google-helpers": "^0.1.1",
    "@muffin-dev/node-helpers": "^1.3.2"
  },
  "types": "./index.d.ts",
  "devDependencies": {
    "@muffin-dev/eslint-config": "^1.0.5",
    "@types/node": "^14.14.7",
    "@typescript-eslint/eslint-plugin": "^4.7.0",
    "@typescript-eslint/parser": "^4.7.0",
    "eslint": "^7.13.0",
    "eslint-config-standard": "^16.0.1",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-standard": "^4.1.0",
    "eslint-plugin-unicorn": "^23.0.0",
    "typescript": "^4.0.5"
  }
}
